<?php
session_start();
require("../conectar.php");
$array = array(".jpeg", ".png", ".gif",".jpg");
$jpeg_quality = 80;
$imagen=$_FILES['userfile']['tmp_name'];
$tamanos = getimagesize($imagen);
$ancho = $tamanos[0];
$alto =  $tamanos[1];
$anchomax=700;
$uploaddir = 'expedientecliente/';
$nom=$_FILES['userfile']['name'];
$tipo=$_FILES['userfile']['type'];
	 for($i=0;$i<4;$i++)
	    {
	     $extant=$array[$i];
		 $dir=$uploaddir.$nom;
		 if(file_exists($dir)) 
            { 
	            unlink($dir);
            } 
	    }
	 $ext=str_replace("image/",".",$tipo);
	 $prefijo = substr(md5(uniqid(rand())),0,6);
     $uploadfile = $uploaddir.$prefijo."_".$nom;
	 
	 if($ext==".jpeg" || $ext==".png" || $ext==".gif" || $ext==".jpg"){
     if($ancho>$anchomax)
        {
             $nuevoalto = round($anchomax / $ancho * $alto); //calculo el nuevo alto
			 switch($ext)
	            {
	                 case ".png":$imagenoriginal = imagecreatefrompng($imagen);break;
	                 case ".jpg":$imagenoriginal = imagecreatefromjpeg($imagen);break;
	                 case ".jpeg":$imagenoriginal = imagecreatefromjpeg($imagen);break;
	                 case ".gif":$$imagenoriginal = imagecreatefromgif($imagen);break;
	            }
             $imagennueva = imagecreatetruecolor($anchomax,$nuevoalto); // creo el lienzo de la imagen nueva
             imagecopyresampled($imagennueva, $imagenoriginal, 0, 0, 0, 0, $anchomax, $nuevoalto, $ancho, $alto);// cambio el manaņo
             if(imagejpeg($imagennueva,$uploadfile,$jpeg_quality)) // guardo el archivo nuevo
                {
				  $sql="UPDATE usuarios SET imagen='$uploadfile' WHERE id_usuario='$usu_id'";
                  mysql_query($sql);
				  $_SESSION['usu_img']=$uploadfile;
				 
                 ?>
                 <?
				  echo $uploadfile;
                }
        }
    else{
             if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) 
			    {
                     $sql="UPDATE usuarios SET imagen='$uploadfile' WHERE id_usuario='$usu_id'";
                     mysql_query($sql);
					 $_SESSION['usu_img']=$uploadfile;
                     ?>
                     <?
					  echo $uploadfile;
                } 
		    else{
                     echo "error";
                }
        }
	}else{
	         if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) 
			    {
                     $sql="UPDATE usuarios SET imagen='$uploadfile' WHERE id_usuario='$usu_id'";
                     mysql_query($sql);
					 $_SESSION['usu_img']=$uploadfile;
                     ?>
                     <?
					  echo $uploadfile;
                } 
		    else{
                     echo "error";
                }
	
	}
?>